<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_c330b85d625b10fb446f351cc78b4d0" . "5" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkNoYXJhY3Rlc" . "nM="), "_a62d761f3e831ff9d" . "9da39f9c26ecddc" => base64_decode("Li4vY29tbW9uL" . "2NvcmUucGhw"), "_f705bcbe9557715c78f11a" . "9a576dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9sZGVyL3BsYWNl" . "aG9sZGVyLnBuZw=="), "_605dec66bbd43fd43b" . "6b2abff58a62ef" => base64_decode("bmF0" . "aXZl"), "acti" . "on" => base64_decode("YWN0" . "aW9u"), "_3be5fb55" . "318614a35" . "b11119662" . "d2e169" => base64_decode("cGxhY2Vob2x" . "kZXI="), "_2e062cf" . "c10183d3" . "1f0f0848" . "e59bfd2b" . "3" => base64_decode("Z2V0X2ZpbGVfZXh0" . "ZW5zaW9u"), "_af66268e" . "41c5634df" . "3c8800793" . "9cbf33" => base64_decode("ZG9" . "3bm" . "xvY" . "WQ="), "_11ff9bccdcd23cd6bf9d9" . "2884ea6cc39" => base64_decode("Li4vY29tbW9uL" . "2Nvbm5lY3QucG" . "hw"), "_3d0fad80d1698b9bcb5742" . "bda96db9f8" => base64_decode("Tm8gc" . "mlnaH" . "Rz"), "_20a7dc9160360d28b227a735c" . "d62a71d" => base64_decode("Li4vY29tbW9uL250bG" . "1fc2Vzc2lvbnN0YXJ0" . "LnBocA=="), "pr" . "ef" . "ix" => base64_decode("cHJlZ" . "ml4"), "_3ce655ae4a14421967" . "cc023a6e907ed5" => base64_decode("aXNfZmls" . "ZQ=="), "_f920f0bf40dcf69c4daa" . "b1426e0564d6" => base64_decode("V3JvbmcgcG" . "FyYW1ldGVy" . "cw=="), "_4d707fab93b" . "ebb00bbe69e8" . "159697c90" => base64_decode(""), "_23e3a19ac3ae2de10c" . "19a9b0017556f0" => base64_decode("SW1hZ2UgZmlsZSBkb2" . "Vzbid0IGV4aXN0"), "i" . "d" => base64_decode("aWQ" . "="), "_5717b327f1f9b8b82a4c07e8" . "006c2719" => base64_decode("cG" . "5n"), "_2713fc125a2798f62a" . "71e9066f396da7" => base64_decode("Li4vY29tbW9uL2Zpb" . "GVzeXN0ZW0ucGhw"), "_e20b559a1b4144" . "95c43a4fbbf2e50" . "15e" => base64_decode("aHR0cF9zZW5kX2Zp" . "bGU="), "_4be135064c4d55c13e6af" . "60c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJtaXNzaW9u" . "cw=="));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_20a7dc9160360d28b227a735c" . "d62a71d"];
require_once $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a62d761f3e831ff9d9da39f9c" . "26ecddc"];
require_once $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_11ff9bccdcd23cd6bf9d92884ea" . "6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2713fc125a" . "2798f62a71e" . "9066f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["pref" . "ix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["act" . "ion"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_f920f0bf40dcf69c" . "4daab1426e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_605dec66bbd43fd43b6" . "b2abff58a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_f705bcbe9557715c78f1" . "1a9a576dfda3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_3be5fb55318" . "614a35b11119" . "662d2e169"];
$placeholder_type = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5717b327f1f9b8b82a" . "4c07e8006c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_605dec66bbd43fd43b6" . "b2abff58a62ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_4be135064c4d55c" . "13e6af60c45cb1fd" . "a"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_3d0fad80d1698b9bcb574" . "2bda96db9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3ce655ae4a144219" . "67cc023a6e907ed5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_23e3a19" . "ac3ae2de" . "10c19a9b" . "0017556f" . "0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2e062cfc10" . "183d31f0f08" . "48e59bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93" . "bebb00bbe69" . "e8159697c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c330b85d62" . "5b10fb446f3" . "51cc78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e20b559a1" . "b414495c43" . "a4fbbf2e50" . "15e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_af66268e41c5634df3c88007" . "939cbf33"] ? DOWNLOAD : INLINE);